Subject: Re: [PATCH] MTD for Taco

From: Sean MacLennan <[email-masked]>
Date: Wed, 09 Jan 2008 13:50:41 -0500

Josh Boyer wrote:
> On Wed, 09 Jan 2008 13:05:35 -0500
> Sean MacLennan <[email-masked]> wrote:
>
>   
>> Stefan Roese wrote:
>>     
>>> On Saturday 05 January 2008, Sean MacLennan wrote:
>>>   
>>>       
>>>> This patch adds the maps for the taco. It also gets the ndfc.c NAND
>>>> driver in a compilable state. The map is guaranteed to change since the
>>>> exact NOR/NAND flash configuration is in flux right now when we found
>>>> the 256M NAND flash won't boot properly.
>>>>
>>>> Currently it configures the NOR in a reasonable fashion and leaves the
>>>> NAND as one honkin' parition.
>>>>     
>>>>         
>>> <snip>
>>>
>>>   
>>>       
>>>> diff --git a/drivers/mtd/nand/ndfc.c b/drivers/mtd/nand/ndfc.c
>>>> index 1c0e89f..f5e93cf 100644
>>>> --- a/drivers/mtd/nand/ndfc.c
>>>> +++ b/drivers/mtd/nand/ndfc.c
>>>> @@ -24,11 +24,6 @@
>>>>  #include <linux/platform_device.h>
>>>>  
>>>>  #include <asm/io.h>
>>>> -#ifdef CONFIG_40x
>>>> -#include <asm/ibm405.h>
>>>> -#else
>>>> -#include <asm/ibm44x.h>
>>>> -#endif
>>>>     
>>>>         
>>> You do break arch/ppc support with this patch. We have to still support
>>> arch/ppc a few month, so please don't break this support for now.
>>>  
>>>       
>> Here is an updated patch that does not break the ppc arch support. 
>> Unfortunately, it still has the taco specific patch. I can't find 
>> anything different between the taco and the sequoia and since this patch 
>> fixes the problem, the hardware guys refuse to look into it. I can't 
>> blame them as we are overloaded as it is.
>>
>> But I will send out the patch anyway in case anybody needs the ndfc 
>> driver working under the powerpc arch.
>>     
>
> This doesn't really get the addresses, etc from the device tree though,
> correct?
>
> josh
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>   
No. You have to setup everything the old way. This *just* gets it 
working so if you have the PPC layout, it will work.

Unless testing goes *really* well, I doubt I will have time in the short 
term to port it to the of_platform. I'm afraid I will have to live with 
"it works, don't touch it" for now :(

Cheers,
   Sean